Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001622 [Piwigo] web API feature N/A 2010.04.26 01:19 2011.05.31 22:26
Reporter plg View Status public  
Assigned To plg
Priority high Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.2 Product Version 2.1.0RC2
  Target Version 2.2.2 Product Build
Summary 0001622: [pwg.categories.getList] ability to return a hierarchy
Description Currently pwg.categories.getList returns a flat list of categories. It means that remote clients such as pLoader/MacToPiwigo/Digikam have to manage the hierarchy building. Piwigo should do it.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005165)
svn (reporter)
2011.05.31 22:21

[Subversion] r11152 by plg on branch 2.2

-----[Subversion commit log]----------------------------------------------------
feature 1622 added: pwg.categories.getList is now able to return a tree with
the new "tree_output" option. Only compatible with json/php output formats.
(0005166)
svn (reporter)
2011.05.31 22:25

[Subversion] r11155 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r11152 from branch 2.2 to trunk

feature 1622 added: pwg.categories.getList is now able to return a tree with
the new "tree_output" option. Only compatible with json/php output formats.


- Issue History
Date Modified Username Field Change
2010.04.26 01:19 plg New Issue
2010.04.26 01:19 plg Status new => assigned
2010.04.26 01:19 plg Assigned To => plg
2010.04.26 01:19 plg browser => any
2010.04.26 01:19 plg Web server => Apache 1.3.x
2010.04.26 23:47 plg Target Version 2.1.0RC3 => 2.2
2011.01.18 15:52 plg Target Version 2.2.0RC1 => 2.2.0RC2
2011.02.08 14:44 plg Target Version 2.2.0RC2 => 2.2.0RC3
2011.05.25 10:25 plg Priority normal => high
2011.05.25 10:25 plg Target Version 2.2.0RC3 => 2.2.2
2011.05.31 22:21 svn Checkin
2011.05.31 22:21 svn Note Added: 0005165
2011.05.31 22:25 svn Checkin
2011.05.31 22:25 svn Note Added: 0005166
2011.05.31 22:26 plg Status assigned => closed
2011.05.31 22:26 plg Resolution open => fixed
2011.05.31 22:26 plg Fixed in Version => 2.2.2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker